<?php

use Illuminate\Support\Facades\Route;
use App\Modules\Careers\Http\Controllers\DashboardController;
use App\Modules\Careers\Http\Controllers\ApplicationController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your module. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['web', 'auth','branch'])->prefix('careers')->name('careers.')->group(function () {
    Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');
    Route::resource('applications', ApplicationController::class)->only(['index', 'show', 'update', 'destroy']);
    Route::get('/careers/applications/export', [ApplicationController::class,'export'])
    ->name('applications.export');
});